<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:kesearch="http://typo3.org/ns/Tpwd\KeSearch\ViewHelpers"
	  data-namespace-typo3-fluid="true">

<f:layout name="General" />
<!--
=====================
Templates/SearchForm.html
-->
<f:section name="content">
	<form method="get" id="form_kesearch_pi1" name="form_kesearch_pi1"  action="{f:uri.page(pageUid: targetpage)}">
		<f:comment><!-- Replace the URL with the speaking URL --></f:comment>
		<f:if condition="{isEmptySearch} == FALSE">
			<f:format.raw><script>history.replaceState(null,'','</f:format.raw><kesearch:link keepPiVars="1" uriOnly="1" /><f:format.raw>');</script></f:format.raw>
		</f:if>

		<fieldset class="kesearch_searchbox d-flex justify-content-center">
			<f:if condition="{lparam}">
				<input type="hidden" name="L" value="{lparam}" />
			</f:if>
			<f:if condition="{mpparam}">
				<input type="hidden" name="MP" value="{mpparam}" />
			</f:if>
			<f:if condition="{typeparam}">
				<input type="hidden" name="type" value="{typeparam}" />
			</f:if>

			<div class="kesearchbox">
                <div class="input-group">
                    <div class="form-outline">
                        <input type="search" id="form1" class="form-control form-control-lg" id="ke_search_sword" name="tx_kesearch_pi1[sword]" value="{searchword -> f:format.raw()}" placeholder="{searchwordDefault}" {f:if(condition: '{extConf.allowEmptySearch} == 0', then: 'required')} minlength="{extConf.searchWordLength}"/>
                    </div>
                    <button type="submit" class="btn btn-primary">
                        <i class="fas fa-search"></i>
                    </button>
                </div>
			</div>

			<f:if condition="{page}">
				<input id="kesearchpagenumber" type="hidden" name="tx_kesearch_pi1[page]" value="{page}" />
			</f:if>
			<input id="resetFilters" type="hidden" name="tx_kesearch_pi1[resetFilters]" value="0" />
            <f:if condition="{sortByField}">
				<input id="sortByField" type="hidden" name="tx_kesearch_pi1[sortByField]" value="{sortByField}" />
			</f:if>
			<f:if condition="{sortByDir}">
				<input id="sortByDir" type="hidden" name="tx_kesearch_pi1[sortByDir]" value="{sortByDir}" />
			</f:if>

			<f:if condition="{filters}">
				<div id="kesearch_filters d-flex justify-content-center"><f:render partial="Filters" arguments="{conf: conf, numberofresults: numberofresults, resultrows: resultrows, filters: filters}" /></div>
			</f:if>
		</fieldset>

	</form>
</f:section>
